package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.api.dto.KeyDataDTO;
import com.gic.haoban.manage.api.enums.KeyDataEnum;
import com.gic.haoban.manage.service.pojo.bo.hm.KeyDataLinkBO;

public interface KeyDataService {

    public KeyDataDTO saveData(String enterpriseId, String relationId, String data, KeyDataEnum dataEnum);

    public String getMobile(String key, String relationId);

    public String saveDataForLink(String enterpriseId, KeyDataLinkBO bo);

    public KeyDataLinkBO getDataForHmLink(String key);

}
